---
updatedAt: 2025-09-22T12:42:06.000Z
agentTools:
  projectIndex: https://developer.searoutes.com/llms.txt
---

# Find a carrier by name or SCAC

This endpoint allows to get carrier information by name or SCAC. The API returns a list of carriers matching the request.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "version": "2.10.0",
    "title": "Search",
    "description": "# Introduction\nThe Searoutes web services APIs allow you to programmatically access tools and services from the Searoutes ecosystem. You can use these APIs to retrieve informations about vessel positions, vessel routes, GHG emissions, weather and other core data points. Searoutes services are divided in five categories:\n\n- Our [Geocoding service](#tag/geocoding) searchs points of interests, like ports or airports, and provides you with their geolocations.\n\n- Our [Search service](#tag/search) searchs entities used in other endpoints such as carriers or services.\n\n- Our [Vessel service](#tag/vessel) gives you up to date positions of vessels and estimated travel times to their next destination.\n\nNote that this is the documentation page for most recent stable version of Searoutes API. For the previous stable versions, [visit this documentation page](http://developer.searoutes.com/api/v1). \n\nIf you have a `valid API key`, you may try the API by copying the code samples in your shell, your favorite editor, or API development platform. Please be aware that some endpoints may not work with your API key depending on your service plan. If you would like a trial key or you want to add additional endpoints to your plan, please [get in touch with us](https://searoutes.typeform.com/to/ZRAoy5).\n",
    "termsOfService": "https://searoutes.com/terms-of-service/",
    "contact": {
      "email": "support@searoutes.com",
      "url": "https://searoutes.com"
    },
    "x-logo": {
      "url": "/img/searoutes-logo-vertical-blue.svg",
      "altText": "Searoutes logo"
    }
  },
  "tags": [
    {
      "name": "Carrier by name or SCAC",
      "description": "Carrier by name ir SCAC"
    }
  ],
  "servers": [
    {
      "url": "https://api.searoutes.com"
    }
  ],
  "paths": {
    "/search/v2/carriers": {
      "get": {
        "operationId": "getCarrierByNameOrScac",
        "tags": [
          "Carrier by name or SCAC"
        ],
        "summary": "Find a carrier by name or SCAC",
        "description": "This endpoint allows to get carrier information by name or SCAC. The API returns a list of carriers matching the request.\n",
        "parameters": [
          {
            "name": "name",
            "description": "The name or partial name to search.",
            "in": "query",
            "required": false,
            "schema": {
              "default": "MSC",
              "example": "MSC",
              "type": "string"
            }
          },
          {
            "name": "scac",
            "description": "The SCAC of the searched carrier.",
            "in": "query",
            "required": false,
            "schema": {
              "example": "MSCU",
              "type": "string"
            }
          }
        ],
        "x-code-samples": [
          {
            "lang": "curl",
            "source": "curl -X GET \\\nhttps://api.searoutes.com/search/v2/carriers?name=msc \\\n-H 'x-api-key: <your-api-key-here>'\n"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "example": [
                  {
                    "id": 73,
                    "name": "Mediterranean Shipping Co",
                    "scac": "MSCU"
                  },
                  {
                    "id": 541,
                    "name": "Mingsheng Shipping Co., LTD",
                    "scac": "MSH1"
                  },
                  {
                    "id": 3,
                    "name": "Antillean Marine Shipping Corp",
                    "scac": "AMLU"
                  }
                ]
              }
            }
          },
          "400": {
            "description": "Bad request.",
            "content": {
              "application/json": {
                "example": {
                  "timestamp": 1625228801345,
                  "status": 400,
                  "error": "Bad Request",
                  "errorCodes": [
                    "2003"
                  ],
                  "messages": [
                    "Either parameter 'scac' or 'name' must be given to search for a carrier."
                  ]
                }
              }
            }
          },
          "404": {
            "description": "Carrier not found.",
            "content": {
              "application/json": {
                "example": {
                  "timestamp": 1625228776592,
                  "status": 404,
                  "error": "Not Found",
                  "errorCodes": [
                    "1071"
                  ],
                  "messages": [
                    "No carrier found for value CMZ."
                  ]
                }
              }
            }
          }
        },
        "security": [
          {
            "api_key": []
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "description": "Use your `x-api-key` to authenticate with our APIs. Note that your key is tied with a usage plan. You are therefore rate limited depending on your subscription. If you wish you increase your request calls, please [get in touch with us](/contact/)."
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```